from django.conf.urls import url
from django.urls import include
from .v1 import urls as v1_urls
from .v1_1 import urls as v1_1_urls

app_name = 'agent'

urlpatterns = [
    url(r'^v1/', include(v1_urls, namespace='v1')),
    # Точка (.) обрабатывается в регулярном выражении как любой символ.
    # Таким образом также обрабатываются URL вида /v101 или /v1b1.
    # При исправлении на (\.) ломается отображение и ручные тесты в документации Swagger (/api/docs).
    # Пока оставил так.
    url(r'^v1.1/', include(v1_1_urls, namespace='v1.1')),
]
