# -*- encoding: utf-8 -*-

from rest_framework import serializers


class AuthenticatorSerializer(serializers.Serializer):
    authId = serializers.IntegerField(required=True)
    authSmallName = serializers.CharField(required=True, max_length=128)
    auth = serializers.CharField(required=True, max_length=128)
    type = serializers.CharField(required=True, max_length=512)


class AuthenticatorResultSerializer(serializers.Serializer):
    result = AuthenticatorSerializer(many=True)
