from django.conf.urls import url
from termidesk.api.auth.draft.views.authenticators import Authenticators
from termidesk.api.auth.draft.views.login import TermideskRestAuthToken

app_name = 'draft'

urlpatterns = [
    url(r'^authenticators$', Authenticators.as_view(), name="authenticators"),
    url(r'^login$', TermideskRestAuthToken.as_view(), name="login"),
]
