from uds.models import OSManager, Service


class RESTServicePoolMixin:
    """ Класс с добавочными свойствами """

    @property
    def osmanager_uuid(self):
        return self.osmanager.uuid if isinstance(self.osmanager, OSManager) else ''

    @osmanager_uuid.setter
    def osmanager_uuid(self, osmanager_uuid: str):
        self.osmanager_id = osmanager_uuid

    @property
    def service_uuid(self):
        return self.service.uuid if isinstance(self.service, Service) else ''

    @service_uuid.setter
    def service_uuid(self, service_uuid: str):
        self.service_id = service_uuid

    @property
    def image_uuid(self):
        return self.image.uuid if self.image is not None else None

    @image_uuid.setter
    def image_uuid(self, image_uuid: str):
        self.image_id = image_uuid

    @property
    def servicesPoolGroup_uuid(self):
        return self.servicesPoolGroup.uuid if self.servicesPoolGroup is not None else None

    @servicesPoolGroup_uuid.setter
    def servicesPoolGroup_uuid(self, servicesPoolGroup_uuid: str):
        self.servicesPoolGroup_id = servicesPoolGroup_uuid
