"""
Модуль описывает способы деления (на страницы) больших объемов возвращаемых данных
"""
# -*- encoding: utf-8 -*-
from rest_framework.pagination import LimitOffsetPagination


class ListResultsPagination(LimitOffsetPagination):
    """Постраничный вывод информации для всех ресурсов возвращающих список"""
    default_limit = 100
    max_limit = 1000
