# -*- encoding: utf-8 -*-

from rest_framework import serializers


class TokenSerializer(serializers.Serializer):
    host = serializers.CharField(required=True, max_length=128)
    port = serializers.IntegerField(required=True)
    ssl_target = serializers.BooleanField(required=True)
