import logging

from termidesk.core.auths.views import CommonViews
from termidesk.core.auths.views_mixin.qrcode import QRCodeViewMixin
from termidesk.core.auths.views_mixin.static import StaticViewMixin
from termidesk.core.auths.views_mixin.totp import TOTPViewMixin

logger = logging.getLogger(__name__)


class Views(StaticViewMixin, TOTPViewMixin, QRCodeViewMixin, CommonViews):
    pass
