# -*- coding: utf-8 -*-
from __future__ import unicode_literals
import six


class CreateMixin(object):
    def __init__(self, style):
        self.style = style

    def show_error(self, stdout, error_exception, name_of_service):
        message = error_exception.message if six.PY2 else str(error_exception)
        stdout.write(
            self.style.ERROR('Не произошло создание {}. '.format(
                name_of_service) + message)
        )

    def show_success(self, stdout, name_of_service):
        stdout.write(
            self.style.SUCCESS('Создание {} прошло успешно'.format(
                name_of_service
            ))
        )
