from django.db import migrations, models
from termidesk.models.License import validate_max_size


class Migration(migrations.Migration):
    dependencies = [
        ('termidesk', '0022_policy_global'),
    ]

    operations = [
        migrations.CreateModel(
            name='License',
            fields=[
                ('id',
                 models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=36, unique=True)),
                ('data', models.FileField(max_length=1048576, upload_to='',
                                          validators=[validate_max_size])),
            ],
        ),
    ]
