from termidesk import notifications

class EntityEventsHelperInterface:
    """ Общий интерфейс для классов, имеющих события. """

    def __init__(self, mediator: object = None):
        if mediator is None:
            # Испоьзуем глобальный сервис медиатора, если конкретная реализация
            # не указана
            mediator=notifications.event_mediator()
        self._mediator = mediator

    @property
    def mediator(self):
        return self._mediator

    @mediator.setter
    def mediator(self, mediator: object):
        self._mediator = mediator
