# -*- coding: utf-8 -*-
'''
Created on Feb 26, 2020

@author: dvd
'''
from __future__ import unicode_literals

import logging

logger = logging.getLogger(__name__)


class VAirHelpers(object):

    @staticmethod
    def getResources(parameters):
        
        from uds.core.Environment import Environment
        from .VAirProvider import Provider
         
        logger.debug('Parameters received by getResources Helper: {0}'.format(parameters))
        env = Environment(parameters['ev'])
        provider = Provider(env)
        provider.unserialize(parameters['ov'])
         
        res = []
        
        # Получаем список ВМ
        for vm in provider.get_vm_list():
            res.append({'id': vm['id'], 'text': vm['name']})
        
        data = [
            {
                'name': 'machine',
                'values': res
            }
        ]
 
        logger.debug('return data: {0}'.format(data))
        return data