var translations = {
    es: {
        uploadfile: "Subir Fichero",
        menubarbutton: "Ocultar Menu",
        menubarbutton_alt: "Fijar Menu",
        fullscreen: "Pantalla Completa",
        fullscreen_alt: "Ventana Normal",
        keystroke: "Combinación de teclas",
        ctrlaltdel: "Enviar Ctrl+Alt+Supr",
        showclientid: "Mostrar Id",
        dialog_fs_text: "La aplicación solicita permiso para acceder a su Escritorio VDI en modo Pantalla Completa.",
        cancel: "Cancelar",
        accept: "Aceptar",
        dialog_close_text: "Su sesión de VDI se cerrará. Por favor, asegúrese de que ha guardado sus cambios.",
        dialog_end_text: "Su sesión de VDI ha finalizado. Por favor, cierre esta ventana.",
        inactivity_close_text: "Su sesión de VDI se cerrará por inactividad en _ segundos",
        inactivity_end_text: "Su sesión de VDI ha sido cerrada por inactividad. Por favor, cierre esta ventana.",
        error_text: "Error de conexión. Por favor, cierre esta ventana.",
        show_id: "El identificador de este navegador es: _",
        no_auto_fs: "Este navegador no soporta el cambio automatico a pantalla completa. Por favor, pulse F11 para cambiar de forma manual.",
        msg_click_to_capture: "Haga click dentro del escritorio virtual para capturar el ratón. Podrá liberar el ratón pulsando la tecla ESC.",
    },
    en: {
        uploadfile: "Upload File",
        menubarbutton: "Hide Menu",
        menubarbutton_alt: "Show Menu",
        fullscreen: "Fullscreen",
        fullscreen_alt: "Normal Window",
        keystroke: "Send keystroke",
        ctrlaltdel: "Send Ctrl+Alt+Del",
        showclientid: "Show Id",
        dialog_fs_text: "The application requests to access your virtual desktop in fullscreen mode.",
        cancel: "Cancel",
        accept: "Accept",
        dialog_close_text: "Your VDI session will close. Please, confirm that you saved your changes.",
        dialog_end_text: "Your VDI session has ended. Please, close this window.",
        inactivity_close_text: "Your VDI session will close due to inactivity in _ seconds",
        inactivity_end_text: "Your VDI session was closed due to inactivity. Please, close this window.",
        error_text: "Connection error. Please, close this window.",
        show_id: "This browser's ID is: _",
        no_auto_fs: "This browser does not support automatic fullscreen switch. Please, press F11 to switch manually.",
        msg_click_to_capture: "Click inside the virtual desktop to capture the mouse. Then press ESC to release pointer.",
    },
	ru: {
        uploadfile: "Загрузить файл",
        menubarbutton: "Скрыть меню",
        menubarbutton_alt: "Показать меню",
        fullscreen: "Во весь экран",
        fullscreen_alt: "Нормальное окно",
        keystroke: "Комбинация клавиш",
        ctrlaltdel: "Отправить Ctrl+Alt+Del",
        showclientid: "Показать Id",
        dialog_fs_text: "Приложение запрашивает доступ к вашему виртуальному рабочему столу в полноэкранном режиме.",
        cancel: "Отмена",
        accept: "Принять",
        dialog_close_text: "Ваш сеанс VDI будет закрыт. Пожалуйста, подтвердите, что вы сохранили изменения.",
        dialog_end_text: "Ваш сеанс VDI закончился. Пожалуйста, закройте это окно.",
        inactivity_close_text: "Ваш сеанс VDI будет закрыт из-за неактивности  _ секунд",
        inactivity_end_text: "Ваш сеанс VDI был закрыт из-за неактивности. Закройте это окно.",
        error_text: "Ошибка подключения. Закройте это окно.",
        show_id: "ID этого браузера: _",
        no_auto_fs: "Этот браузер не поддерживает автоматическое переключение в полноэкранный режим. Нажмите F11 для переключения вручную.",
        msg_click_to_capture: "Нажмите на виртуальный рабочий стол, чтобы захватить мышь. Затем нажмите ESC, чтобы освободить указатель.",
    },
};

var tr = translations["en"]
