function getUrlVars() {
    var vars = [], hash;
    var hashes = window.location.href.slice(window.location.href.indexOf('?') + 1).split('&');
    for(var i = 0; i < hashes.length; i++)
    {
        hash = hashes[i].split('=');
        vars.push(hash[0]);
        vars[hash[0]] = hash[1];
    }
    return vars;
}
function launchURL(el) {
    var $el = $(el);

    url = $el.attr('data-href');
    url = url != null ? url : $el.attr('href');
    if ( url.substring(0, 8) == 'daasa://' ) {
        vdiapp.launch($el);
    } else {
	var strWindowFeatures = "resizable,scrollbars";
        //window.location = url;
	window.open(url, 'vdiapp', strWindowFeatures);
    }
}

$(function() {

    var autorun = window.termidesk.web.page.context['autorun'];

    $('.with-tooltip').popover({container: 'body', trigger: 'hover', delay: { show: 500, hide: 100 }, placement: 'auto bottom'});

    $('.inuse').popover({container: 'body', trigger: 'hover', delay: { show: 500, hide: 100 }, placement: 'auto top'});
    $('.notaccesible').popover({container: 'body', trigger: 'hover', delay: { show: 500, hide: 100 }, placement: 'auto top'});

    $('body > div.container').on("click", "div.service:not(.maintenance, .notaccesible)", function (event){
        var url, el;
        event.preventDefault();

        launchURL(this);

        return false;
    }).on("mouseenter mouseleave", "div.service:not(.maintenance, .notaccesible)", function (event) {
        $(this).toggleClass('over');
    });
    
    // Останавливаем подключение при отмене модального окна
    $('body > div.container').on("click", ".modal", function (event) {
	event.preventDefault();
	event.stopPropagation();
    });

    // Останавливаем подключение при нажатии на иконку статуса
    $('body > div.container').on("click", "div.service span.workspace-status-icon", function (event) {
	event.preventDefault();
	event.stopPropagation();
    });
    
    // Разрешаем переход по ссылкам специальных иконок
    $('body > div.container').on("click", "div.service span.workspace-status-icon-link", function (event) {
	event.stopPropagation();
    });
    
    $('body > div.container').on("click", ".vdi-service-transport", function (event){
        var url, el, modal;

        event.preventDefault();

        modal = $(this).parent().parent().parent().parent().parent().parent();
        modal.modal('hide');

        // check url
        el = $(this)
        url = el.attr('data-href');
        url = url != null ? url : el.attr('href');

        if ( url.substring(0, 8) == 'daasa://' ) {
            vdiapp.launch(el);
        } else {
            var strWindowFeatures = "resizable,scrollbars";
            //window.location = url;
            window.open(url, 'vdiapp', strWindowFeatures);
        }

        return false;
    })

    $('body > div.container').on("click", "div.service:not(.maintenance, .notaccesible) span.workspace-connections", function (event) {
        event.stopPropagation();
        event.preventDefault();
        $(this).parent().parent().next().next().modal();
        return false;
    });

    $("body > div.container").on('click', '.maintenance', function(event) {
        $('#maintenance-dialog').modal({
              keyboard: false
            })
        return false;
    });

    $("body > div.container").on('click', '.notaccesible', function(event) {
        $('#notaccesible-dialog').modal({
              keyboard: false
            })
        return false;
    });

    if( autorun ) {
        if( $('.service').length > 0)
            launchURL($('.service')[0]);
        autorun = false;
    }

});