# -*- coding: utf-8 -*-
'''
Created on 24 янв. 2019 г.

@author: dvd
'''
from __future__ import unicode_literals

# Основано на:
# https://github.com/dobarkod/django-source-revision/blob/master/sourcerevision/templatetags/staticfiles.py

from django import template
from django.templatetags.static import static as django_static
from termidesk import __version__ as rev

register = template.Library()

def static(path):
    # 2to3: u'' changed to ''
    qs = ('?rev=' + rev) if rev else ''
    return django_static(path) + qs


@register.simple_tag(name='staticrev')
def do_static(path):
    return static(path)