"""Модуль инициализации протокола доставки Loudplay"""
# -*- encoding: utf-8 -*-

from .direct import LoudplayDirectTransport
from .tunnel import LoudplayTunneledTransport
from uds.core.util import Config

loudplay_transports_list = [LoudplayDirectTransport, LoudplayTunneledTransport]

EXPERIMENTAL_LOUDPLAY_TRANSPORTS_ENABLED = Config.Config.section(Config.EXPERIMENTAL_SECTION). \
    value('experimental.loudplay.transports.enabled',
          '0',
          type=Config.Config.BOOLEAN_FIELD)

EXPERIMENTAL_LOUDPLAY_TRANSPORTS_ENABLED.getBool()
