# This is a template
# Saved as .py for easier editing
from __future__ import unicode_literals

import json
import os
import subprocess

import logging
from client import tools
from client.log import logger

logger.setLevel(logging.DEBUG)

loudplay_client_executable = tools.findApp('{loudplay_client_filename}')

if loudplay_client_executable is None:
    raise Exception('''<p>File "{loudplay_client_filename}" does not exist</p>''')

loudplay_config_dict = {loudplay_client_config_template}
loudplay_client_work_directory = os.path.dirname(os.path.dirname(loudplay_client_executable))

loudplay_config_content = json.dumps(loudplay_config_dict)

loudplay_config_filename = tools.saveTempFile(loudplay_config_content)

logger.debug('Path to working directory: %s' % str(loudplay_client_work_directory))
logger.debug('Path to loudplay client: %s' % str(loudplay_client_executable))
logger.debug('Path to loudplay config: %s' % str(loudplay_config_filename))
logger.debug('loudplay config content:\n %s\n' % str(loudplay_config_content))

subprocess.Popen([loudplay_client_executable, loudplay_config_filename],
                 cwd=loudplay_client_work_directory)
