# This is a template
# Saved as .py for easier editing
from __future__ import unicode_literals

# pylint: disable=import-error, no-name-in-module, too-many-format-args, undefined-variable, invalid-sequence-index
from PyQt5 import QtCore, QtWidgets, QtGui
import subprocess
import os
import urllib

from client import tools  # @UnresolvedImport

import six

theFile = '''{m.r.as_file}'''

# First, try to locate  Remote Desktop Connection (version 2, from Microsoft website, not the app store one)


filename = tools.saveTempFile(theFile)
msrdc = '/Applications/Remote Desktop Connection.app/Contents/MacOS/Remote Desktop Connection'
cord = "/Applications/CoRD.app/Contents/MacOS/CoRD"

if os.path.isfile(msrdc):
    executable = msrdc
elif os.path.isfile(cord):
    executable = cord
else:
    executable = None


def onExit():
    import subprocess  # @Reimport
    subprocess.call(
        [
            'security',
             'delete-generic-password',
             '-a', '{m.usernameWithDomain}',
             '-s', 'Remote Desktop Connection 2 Password for {m.ip}',
        ]
    )

if executable is None:
    QtWidgets.QMessageBox.critical(parent, 'Notice',  # @UndefinedVariable
                               '''<p><b>Microsoft Remote Desktop Connection не найден</b></p>''', QtWidgets.QMessageBox.Ok)
elif executable == msrdc:
    try:
        if {m.hasCredentials}:  # @UndefinedVariable
            subprocess.call(
                [
                    'security',
                    'add-generic-password',
                    '-w', '{m.password}',
                    '-U',
                    '-a', '{m.usernameWithDomain}',
                    '-s', 'Remote Desktop Connection 2 Password for {m.ip}',
                    '-T', '/Applications/Remote Desktop Connection.app',
                ]
            )
            tools.addExecBeforeExit(onExit)
        # Call and wait for exit
        tools.addTaskToWait(subprocess.Popen([executable, filename]))

        tools.addFileToUnlink(filename)
    except Exception as e:
        QtWidgets.QMessageBox.critical(parent, 'Notice', six.text_type(e), QtWidgets.QMessageBox.Ok)  # @UndefinedVariable
else:  # CoRD
    url = 'rdp://'

    username, domain = '{m.username}', '{m.domain}'

    if username != '':
        url += urllib.parse.quote(username)
        if '{m.password}' != '':
            url += ':' + urllib.parse.quote('{m.password}')
        url += '@'
    url += '{m.ip}/'
    if domain != '':
        url += domain

    url += '?screenDepth={m.r.bpp}'

    if {m.r.fullScreen}:  # @UndefinedVariable
        url += '&fullscreen=true'
    else:
        url += 'screenWidth={m.r.width}&screenHeight={m.r.height}'

    url += '&forwardAudio=' + '01'[{m.r.redirectAudio}]  # @UndefinedVariable

    if {m.r.redirectDrives}:  # @UndefinedVariable
        url += '&forwardDisks=true'

    if {m.r.redirectPrinters}:  # @UndefinedVariable
        url += '&forwardPrinters=true'

    tools.addTaskToWait(subprocess.Popen(['open', url]))
