# -*- encoding: utf-8 -*-

from rest_framework import serializers


class ConfigParam(serializers.Serializer):
    label = serializers.CharField(required=True, max_length=128)
    value = serializers.CharField(required=True, max_length=128, allow_blank=True)
    crypt = serializers.BooleanField(required=True)
    longText = serializers.BooleanField(required=True)
    type = serializers.IntegerField(required=True, min_value=0)
    params = serializers.ListField(required=True, max_length=128,
                                   allow_null=True)
    tooltip = serializers.CharField(required=True, max_length=128,
                                    allow_blank=True)
