from rest_framework import serializers


class LogSerializer(serializers.Serializer):
    """ Логи пользователя. """
    date = serializers.SerializerMethodField()
    level = serializers.IntegerField()
    source = serializers.CharField()
    message = serializers.CharField(max_length=200)

    def get_date(self, instance):
        return int(instance.get('date').timestamp())
