from os.path import basename
import tarfile


class TarRotator:
    """ Отвечает за упаковку устаревших логов в архивы. """
    def __call__(self, source, dest):
        file = dest + '.tar.gz'
        with tarfile.open(file, "w:gz") as tar:
            tar.add(source, arcname=basename(source))
