# -*- coding: utf-8 -*-
'''
Created on 16 марта 2017 г.

@author: dvd
'''
from __future__ import unicode_literals
import base64
import pkgutil


# TODO: write tests to function
def encode_base64_with_replace(base64_string):
    """
    Remove carret return character '\n'
    from encoded to base64 string
    """
    import six
    if six.PY2:
        result = base64.encodestring(base64_string)
        result = result.replace('\n', '')
    else:
        result = base64.encodebytes(base64_string)
        result = result.replace(b'\n', b'')

    return result


DEFAULT_IMAGE = pkgutil.get_data(__package__, "default.png")
DEFAULT_IMAGE_BASE64 = encode_base64_with_replace(DEFAULT_IMAGE)

DEFAULT_THUMB = pkgutil.get_data(__package__, "thumb.png")
DEFAULT_THUMB_BASE64 = encode_base64_with_replace(DEFAULT_THUMB)
