from django.db import migrations
from django.db import connection


def forwards_func(apps, schema_editor):
    pass


def reverse_func(apps, schema_editor):
    """ Очищение и удаление взаимосвязей с разрешением, если они были созданы. """
    Permission = apps.get_model('auth', 'Permission')
    permission_rubackup = Permission.objects.filter(codename='rubackup').get()
    with connection.cursor() as cursor:
        query = 'DELETE FROM uds_user_api_permissions WHERE permission_id = {}'.format(
            permission_rubackup.id
        )
        cursor.execute(query)
    permission_rubackup.delete()


class Migration(migrations.Migration):
    dependencies = [
        ('termidesk', '0001_create_permissions'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='userpermissionapi',
            options={'default_permissions': (), 'managed': False, 'permissions': (
            ('UserPermissionAPI.test.read', 'Чтение эндпоинта test'),
            ('UserPermissionAPI.test.write', 'Запись эндпоинта test'),
            ('UserPermissionAPI.rubackup', 'Резервное копирование (RuBackup)'))},
        ),
        migrations.RunPython(forwards_func, reverse_func),
    ]
