from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ('termidesk', '0021_enable_rbac'),
    ]

    operations = [
        migrations.CreateModel(
            name='PolicyGlobal',
            fields=[
                ('id',
                 models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uuid', models.CharField(default=None, max_length=50, null=True, unique=True)),
                ('name', models.CharField(db_index=True, max_length=128)),
                ('data_type', models.CharField(max_length=128)),
                ('data', models.TextField(default='')),
                ('comments', models.CharField(max_length=256)),
            ],
            options={
                'db_table': 'termidesk_policy_global',
                'ordering': ('name',),
                'abstract': False,
            },
        ),
    ]
