""" Модуль содержит реализацию модели пользователей пакета termidesk"""
# -*- encoding: utf-8 -*-
from django.contrib.auth.models import AnonymousUser as DjangoAnonymousUser


class AnonymousUser(DjangoAnonymousUser):
    """Реализация анонимного пользователя для использования в запросах к DRF"""
    @property
    def is_admin(self):
        return self.is_superuser

    @property
    def staff_member(self):
        return self.is_staff
