# -*- coding: utf-8 -*-
'''
Created on 15 марта 2017 г.

@author: dvd
'''
from __future__ import unicode_literals

import logging

logger = logging.getLogger(__name__)

from uds.REST import Handler
from uds.models import Authenticator

class List(Handler):
    path = 'termidesk/auth'
    authenticated = False

    def auths(self):
        for a in Authenticator.objects.all():
            yield {
                'authId': a.id,
                'authSmallName': str(a.small_name),
                'auth': a.name,
                'type': a.getType().__name__
            }

    def get(self):
        return {
            'result': list(self.auths()),
        }
