# -*- coding: utf-8 -*-
from .VAirProvider import Provider
from .VAirJobs import VAirDeferredRemoval
from uds.core import managers
from uds.core.util import Config

# Включение/выключение поддержки vAir через глобальный параметр

vair_providers = [Provider]

EXPERIMENTAL_VAIR_PROVIDER_ENABLED = Config.Config.section(Config.EXPERIMENTAL_SECTION)\
    .value('experimental.vair.provider.enabled', '0', type=Config.Config.BOOLEAN_FIELD)

EXPERIMENTAL_VAIR_PROVIDER_ENABLED.getBool()

# Включение/выключение поддержки vAir через глобальный параметр

vair_providers = [Provider]

# Scheduled task to do clean processes
for cls in [VAirDeferredRemoval]:
    managers.taskManager().registerJob(cls)
