"""
Created on Feb 20, 2020

@author: dvd

Updated Jan 11, 2022 by rz@uveon.ru
"""
# -*- coding: utf-8 -*-

from __future__ import unicode_literals

import logging

from . import v2

logger = logging.getLogger(__name__)


def get_client(for_version: str):
    """Получение актуальной версии клиента"""
    logger.debug("For Version: %s", str(for_version))

    if for_version == '2':
        return v2.Client

    raise NotImplementedError("Client for version {} not implemented".format(for_version))
