# -*- coding: utf-8 -*-
'''
Created on 15 февр. 2019 г.

@author: dvd
'''
from __future__ import unicode_literals

# pylint: disable=import-error, no-name-in-module, too-many-format-args, undefined-variable

from PyQt5 import QtCore, QtWidgets, QtGui  # @UnresolvedImport
import win32crypt  # @UnresolvedImport
import os
import subprocess
import binascii
from client.wstunnel import wstunnel # @UnresolvedImport

from client import tools  # @UnresolvedImport

import six

def py3btos(bytedata):
    return "".join( chr(x) for x in bytedata)

forwardThread, port = wstunnel('{m.tun_url}', 0, timeout={m.tun_lifetime})  # @UndefinedVariable

if forwardThread.status == 2:
    raise Exception('Unable to open tunnel')

tools.addTaskToWait(forwardThread)

pwd = win32crypt.CryptProtectData(six.binary_type('{m.password}'.encode('UTF-16LE')), None, None, None, None, 0x01)
hex_password = binascii.hexlify(pwd)
# The password must be encoded, to be included in a .rdp file, as 'UTF-16LE' before protecting (CtrpyProtectData) it in order to work with mstsc
theFile = '''{m.r.as_file}'''.format(
    password=py3btos(hex_password),
    address='127.0.0.1:{{}}'.format(port)
)

filename = tools.saveTempFile(theFile)
executable = tools.findApp('mstsc.exe')
if executable is None:
    raise Exception('Не удается найти mstsc.exe')

subprocess.Popen([executable, filename])
tools.addFileToUnlink(filename)

# QtGui.QMessageBox.critical(parent, 'Notice', filename + ", " + executable, QtGui.QMessageBox.Ok)