# This is a template
# Saved as .py for easier editing
from __future__ import unicode_literals

# pylint: disable=import-error, no-name-in-module
import subprocess

from client import tools  # @UnresolvedImport

executable = tools.findApp('{m.client_filename}')

if executable is None:
    raise Exception('''<p>You need to have installed {m.client_filename} to connect to this VDI service.</p>
<p>
    Please, install appropriate package for your Linux system. 
    (probably named something like <b>{m.client_filename}</b>)
</p>
''')

theFile = '''{m.r.as_file}'''

try:
    filename = tools.saveTempFile(theFile)
except Exception as e:
    filename = tools.saveTempFile(theFile, suffix=".vv")

subprocess.Popen([executable, filename])

# QtGui.QMessageBox.critical(parent, 'Notice', filename + ", " + executable, QtGui.QMessageBox.Ok)
